Update a fact-find question Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v2/fact-find/questions/{factFindQuestion_uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • factFindQuestion_uuid string Required
application/json

Body

  • custom_field_id integer Required

    The ID of the custom field that this question belongs to.

  • fact_find_block_id integer Required

    The ID of the fact find block that this question belongs to.

  • field_name string Required

    The name of the question.

    Maximum length is 255.

  • is_visible boolean

    Is fact find question visible.

  • is_required boolean

    Is fact find question required.

  • has_conditional boolean

    Has the question got any conditions.

  • condition_type string

    The condition type for the question.

    Value Description
    ANY ANY
    ALL ALL

    Values are ANY or ALL.

  • fact_find_question_conditions array[object]

    The conditions for the question.

    Hide fact_find_question_conditions attributes Show fact_find_question_conditions attributes object
    • target_fact_find_question_uuid string(uuid)

      The UUID of the target fact find question.

    • operator string

      The operator for the condition.

      Value Description
      equals Equals
      not_equal_to Not Equal To
      more_than More Than
      less_than Less Than
      less_than_or_equal_to Less Than Or Equal To
      more_than_or_equal_to More Than Or Equal To

      Values are equals, not_equal_to, more_than, less_than, less_than_or_equal_to, or more_than_or_equal_to.

    • value string | null

      The value to compare against.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • field_name string

      The name of the field.

    • position string

      The position/order of this question within the block.

    • is_required string

      Bool to indicate if the question is required.

    • is_visible string

      Bool to indicate if the question is visible.

    • always_required string

      Bool indicating the underlying database column is NOT NULL; the template builder must not allow this question to be hidden or made non-required.

    • has_conditional string

      Bool to indicate if the question has any conditions.

    • condition_type string

      ALL/ANY.

PUT /api/v2/fact-find/questions/{factFindQuestion_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v2/fact-find/questions/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"custom_field_id":1234,"fact_find_block_id":1234,"field_name":"Field Name","is_visible":true,"is_required":true,"has_conditional":false,"condition_type":"ANY","fact_find_question_conditions":[{"target_fact_find_question_uuid":"bd92859c-c681-4a43-bb2e-36671bab1ec3","operator":"equals","value":"example_value"}]}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "custom_field_id": 1234,
  "fact_find_block_id": 1234,
  "field_name": "Field Name",
  "is_visible": true,
  "is_required": true,
  "has_conditional": false,
  "condition_type": "ANY",
  "fact_find_question_conditions": [
    {
      "target_fact_find_question_uuid": "bd92859c-c681-4a43-bb2e-36671bab1ec3",
      "operator": "equals",
      "value": "example_value"
    }
  ]
}
Response examples (200)
{
  "uuid": "37110a52-96cf-4a0b-b9d5-98f870d4fb18",
  "created_at": "2026-07-22T14:08:42+01:00",
  "updated_at": "2026-07-22T14:08:42+01:00",
  "field_name": "Field Name",
  "position": "Position",
  "is_required": "Is Required",
  "is_visible": "Is Visible",
  "always_required": "Always Required",
  "has_conditional": "Has Condition",
  "condition_type": "Condition Type"
}